# Class AnimateCssProvider

- Defined in src/animations/animate-css.js:139

##### Index

### Constructors

constructor

### Properties

$get

## Constructors

### constructor

- new AnimateCssProvider(): AnimateCssProvider

  #### Returns AnimateCssProvider

  - Defined in src/animations/animate-css.js:139

## Properties

### $get

$get: (
| string
| (
(
$$AnimateRunner: any,
$$animateCache: any,
$$rAFScheduler: RafScheduler,
) => (
element: any,
initialOptions: any,
) => { $$willAnimate: boolean; end: () => void; start(): any }
)
)[]

#### Type declaration

- string
- (
  $$AnimateRunner: any,
  $$animateCache: any,
  $$rAFScheduler: RafScheduler,
  ) => (
  element: any,
  initialOptions: any,
  ) => { $$willAnimate: boolean; end: () => void; start(): any }
  - - (
      $$AnimateRunner: any,
      $$animateCache: any,
      $$rAFScheduler: RafScheduler,
      ): (
      element: any,
      initialOptions: any,
      ) => { $$willAnimate: boolean; end: () => void; start(): any }

    - #### Parameters

      - $$AnimateRunner: any
      - $$animateCache: any
      - $$rAFScheduler: RafScheduler

      #### Returns (
      element: any,
      initialOptions: any,
      ) => { $$willAnimate: boolean; end: () => void; start(): any }

- Defined in src/animations/animate-css.js:140